package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID              = "uid"
	NAME             = "name"
	TYPE             = "type"
	ROLE             = "role"
	TITLE            = "title"
	CONTENT          = "content"
	USER_UID         = "user_uid"
	USER_CLIENT_ROLE = "user_client_role"
	CLIENT_UID       = "client_uid"
	CLIENT_NAME      = "client_name"
	CLIENT_TYPE      = "client_type"
	SUMMARY_UID      = "summary_uid"
	COMPANY_UID      = "company_uid"
	CITY_UID         = "city_uid"
)

type UserClient struct {
	db.ModelUserPlace
	ClientUID string `gorm:"type:char(32);index"`
}
type Client struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Summary struct {
	db.ModelContent
	ClientUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserClient{}, &Client{}, &Summary{}) }
