package production

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/operation/src/production/model"
)

type issue struct {
	Table
	story     story
	userStory userStory
	create    string `name:"create title* content*" role:"leader"`
}

func (s issue) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.STORY_UID))...)
	s.RecordEventWithName(m, "")
}
func (s issue) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userStory, s.story, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(issue{}) }

type IssueType int

const (
	IssueFeature IssueType = iota
	IssueBugfix
)

var IssueTypeList = map[IssueType]string{
	IssueFeature: "feature",
	IssueBugfix:  "bugfix",
}

func (s IssueType) String() string { return IssueTypeList[s] }
