package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	TYPE            = "type"
	ROLE            = "role"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_STORY_ROLE = "user_story_role"
	STORY_UID       = "story_uid"
	STORY_NAME      = "story_name"
	STORY_TYPE      = "story_type"
	ISSUE_UID       = "issue_uid"
	COMPANY_UID     = "company_uid"
	CITY_UID        = "city_uid"
)

type UserStory struct {
	db.ModelUserPlace
	StoryUID string `gorm:"type:char(32);index"`
}
type Story struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Issue struct {
	db.ModelContent
	StoryUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserStory{}, &Story{}, &Issue{}) }
